| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Seis::Blocks::Block Class Reference
Seis

Base class for single block. More...

`#include <seisblocks.h>`

Inheritance diagram for Seis::Blocks::Block:
[legend]

## Public Member Functions
| ~Block ()
const Dimensions & | dims () const
const GlobIdx & | globIdx () const
const HLocIdx & | start () const

## Static Public Member Functions
static int | crl4Idxs (const HGeom &, SzType crldim, IdxType globidx, IdxType sampidx)
static Dimensions | defDims ()
static IdxType | globIdx4Crl (const HGeom &, int crl, SzType crldim)
static IdxType | globIdx4Inl (const HGeom &, int inl, SzType inldim)
static IdxType | globIdx4Z (const ZGeom &, float z, SzType zdim)
static int | inl4Idxs (const HGeom &, SzType inldim, IdxType globidx, IdxType sampidx)
static IdxType | locIdx4Crl (const HGeom &, int crl, SzType crldim)
static IdxType | locIdx4Inl (const HGeom &, int inl, SzType inldim)
static IdxType | locIdx4Z (const ZGeom &, float z, SzType zdim)
static int | startCrl4GlobIdx (const HGeom &, IdxType, SzType crldim)
static int | startInl4GlobIdx (const HGeom &, IdxType, SzType inldim)
static float | startZ4GlobIdx (const ZGeom &, IdxType, SzType zdim)
static float | z4Idxs (const ZGeom &, SzType zdim, IdxType globidx, IdxType loczidx)

## Protected Member Functions
| Block (const GlobIdx &gidx, const HLocIdx &s, const Dimensions &d)

## Protected Attributes
const Dimensions | dims_
const GlobIdx | globidx_
const HLocIdx | start_

## Detailed Description

Base class for single block.

<>

## Constructor & Destructor Documentation

## ◆ ~Block()

Seis::Blocks::Block::~Block | ( |  | ) |

## ◆ Block()

Seis::Blocks::Block::Block | ( | const GlobIdx & | gidx,
|  | const HLocIdx & | s,
|  | const Dimensions & | d )
| protected

## Member Function Documentation

## ◆ crl4Idxs()

static int Seis::Blocks::Block::crl4Idxs | ( | const HGeom & | ,
|  | SzType | crldim,
|  | IdxType | globidx,
|  | IdxType | sampidx )
| static

## ◆ defDims()

static Dimensions Seis::Blocks::Block::defDims | ( |  | ) |
| static

## ◆ dims()

const Dimensions & Seis::Blocks::Block::dims | ( |  | ) | const
| inline

## ◆ globIdx()

const GlobIdx & Seis::Blocks::Block::globIdx | ( |  | ) | const
| inline

## ◆ globIdx4Crl()

static IdxType Seis::Blocks::Block::globIdx4Crl | ( | const HGeom & | ,
|  | int | crl,
|  | SzType | crldim )
| static

## ◆ globIdx4Inl()

static IdxType Seis::Blocks::Block::globIdx4Inl | ( | const HGeom & | ,
|  | int | inl,
|  | SzType | inldim )
| static

## ◆ globIdx4Z()

static IdxType Seis::Blocks::Block::globIdx4Z | ( | const ZGeom & | ,
|  | float | z,
|  | SzType | zdim )
| static

## ◆ inl4Idxs()

static int Seis::Blocks::Block::inl4Idxs | ( | const HGeom & | ,
|  | SzType | inldim,
|  | IdxType | globidx,
|  | IdxType | sampidx )
| static

## ◆ locIdx4Crl()

static IdxType Seis::Blocks::Block::locIdx4Crl | ( | const HGeom & | ,
|  | int | crl,
|  | SzType | crldim )
| static

## ◆ locIdx4Inl()

static IdxType Seis::Blocks::Block::locIdx4Inl | ( | const HGeom & | ,
|  | int | inl,
|  | SzType | inldim )
| static

## ◆ locIdx4Z()

static IdxType Seis::Blocks::Block::locIdx4Z | ( | const ZGeom & | ,
|  | float | z,
|  | SzType | zdim )
| static

## ◆ start()

const HLocIdx & Seis::Blocks::Block::start | ( |  | ) | const
| inline

## ◆ startCrl4GlobIdx()

static int Seis::Blocks::Block::startCrl4GlobIdx | ( | const HGeom & | ,
|  | IdxType | ,
|  | SzType | crldim )
| static

## ◆ startInl4GlobIdx()

static int Seis::Blocks::Block::startInl4GlobIdx | ( | const HGeom & | ,
|  | IdxType | ,
|  | SzType | inldim )
| static

## ◆ startZ4GlobIdx()

static float Seis::Blocks::Block::startZ4GlobIdx | ( | const ZGeom & | ,
|  | IdxType | ,
|  | SzType | zdim )
| static

## ◆ z4Idxs()

static float Seis::Blocks::Block::z4Idxs | ( | const ZGeom & | ,
|  | SzType | zdim,
|  | IdxType | globidx,
|  | IdxType | loczidx )
| static

## Member Data Documentation

## ◆ dims_

const Dimensions Seis::Blocks::Block::dims_
| protected

## ◆ globidx_

const GlobIdx Seis::Blocks::Block::globidx_
| protected

## ◆ start_

const HLocIdx Seis::Blocks::Block::start_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025